Author Topic: Compiling error  (Read 1318 times)

Compiling error

« on: November 11, 2015, 07:22:56 PM »
Open quickbuttons

Fizmo

Posts: 1

Offline
  • *
  • Newbie
    • View Profile
Hi all,

I wanted to update my Atmegatron (SN below120). However when I use the SSAtmAtmegatron.ino I get a compiling error for the BiquadFilter.h. Atcyclotron and Delayertron are compiling without error and running on the hardware. I used the latest files from the website.

Error message:

\Arduino\libraries\BiquadFilter/BiquadFilter.h:50:35: error: 'constexpr' needed for in-class initialization of static data member 'const float BiquadFilter::MAX_ENV_LFO' of non-integral type [-fpermissive]

  static const float MAX_ENV_LFO = 1.386294361119891;
                                   ^
\Arduino\libraries\BiquadFilter/BiquadFilter.h:53:29: error: 'constexpr' needed for in-class initialization of static data member 'const float BiquadFilter::MIN_Q' of non-integral type [-fpermissive]

  static const float MIN_Q = 0.5;
                             ^
\Arduino\libraries\BiquadFilter/BiquadFilter.h:54:30: error: 'constexpr' needed for in-class initialization of static data member 'const float BiquadFilter::MULT_Q' of non-integral type [-fpermissive]

  static const float MULT_Q = 0.076470588235294;
                              ^
exit status 1

Re: Compiling error

« Reply #1 on: November 12, 2015, 01:09:08 AM »
Open quickbuttons

paulsoulsby

Posts: 171

Offline
  • Administrator
  • *****
  • Full Member
    • View Profile
Ah yeah, this seems to be something that's just come in with Arduino 1.6.6.  It was fine with 1.6.5.  Just removing 'static' from those 3 lines seems to fix it.

Or if you run 1.6.5 that should also sort things out.  That can be found here: https://www.arduino.cc/en/Main/OldSoftwareReleases#previous

I'll update the source code to make it compatible with 1.6.6 later this month when I do a big update.